<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE project [<!ENTITY buildfile SYSTEM "file:./build-user.xml">]>
	<project name="cn.com.origin.autocodemanager" default="compile" basedir="E:\java\eclipse\code\TC9\ldx\workspace\cn.com.origin.autocodemanager">
	<property environment="env" />
	<!-- ********************** 配置开始 ********************* -->

	<!-- 设定发布RAC插件的根目录-->
	<property name="rac_plugins_des_path" value="G:\project\Code\TC9.1\plugins" />

	<!-- 设定新版系统插件名称-->
	<property name="des_plugins_name" value="cn.com.origin.autocodemanager_1.0.0.jar" />

	<!-- 设定系统Teacmenter缓存路径-->
	<property name="tc_cache_dirname" value="C:\Users\Administrator\Teamcenter\RAC" />

	<!-- ********************** 配置结束 ********************* -->
	<property name="des_plugins_pathname" value="${rac_plugins_des_path}\${des_plugins_name}" />
		<property name="basedir" value="E:\java\eclipse\code\TC9\ldx\workspace\cn.com.origin.autocodemanager" />

	<target name="copy_plugins">
		<delete file="${des_plugins_pathname}" quiet="true" />
	</target>

	<!-- 删除自定义代码的class-->
	<target name="clean_bin">
		<delete includeemptydirs="true">
			<fileset dir="classes" includes="**/*" />
		</delete>
	</target>

	<!-- 编译源代码  -->
	<target name="compile" depends="clean_bin">
		<ant antfile="build.xml" inheritAll="false" />
		<echo message="compile over!" />
	</target>
		
	<!-- 生成新jar包  -->
	<target name="make_jar">
		<jar destfile="${des_plugins_pathname}" whenempty="skip"   manifest="META-INF\MANIFEST.MF" update="true">
			<fileset dir="classes" casesensitive="yes">
				<include name="**/*.*" />
			</fileset>
			<fileset dir="${basedir}">
				<include name="META-INF\MANIFEST.MF" />
				<include name="plugin.xml" />
				<include name="plugin.properties" />
				<include name="plugin_zh_CN.properties" />
				<include name="build.properties" />
			</fileset>
		</jar>
		<echo message="make_jar over!" />
	</target>
	<!-- 生成新版插件并清除系统缓存 -->
	<target name="make_plugins" depends="make_jar">
		<echo message="****************make_plugins ${des_plugins_name} over!**********************" />
	</target>
</project>
